unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, TeEngine, Series, TeeNavigator, TeeEdiGene, TeeURL,
  TeeSeriesTextEd, StdCtrls, TeeScroB, ExtCtrls, TeeProcs, Chart, TeeTools,
  TeePageNumTool, StatChar;

type
  TForm1 = class(TForm)
    Panel1: TPanel;
    ChartPageNavigator1: TChartPageNavigator;
    Button1: TButton;
    Button2: TButton;
    ChartScrollBar1: TChartScrollBar;
    Chart1: TChart;
    CheckBox1: TCheckBox;
    CheckBox2: TCheckBox;
    CheckBox3: TCheckBox;
    ChartTool1: TPageNumTool;
    Series1: TLineSeries;
    procedure FormCreate(Sender: TObject);
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure CheckBox1Click(Sender: TObject);
    procedure CheckBox2Click(Sender: TObject);
    procedure CheckBox3Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

procedure TForm1.FormCreate(Sender: TObject);
begin
Series1.FillSampleValues(1200);
ChartScrollBar1.Min := 1;
ChartScrollBar1.Max := 60;
ChartScrollBar1.Position := 1;
ChartScrollBar1.PageSize := 1;
end;



procedure TForm1.Button1Click(Sender: TObject);
begin
ChartScrollBar1.Position := 1;
Button1.Enabled := false;
Button2.Enabled := true;

end;

procedure TForm1.Button2Click(Sender: TObject);
begin
ChartScrollBar1.Position := ChartScrollBar1.Max;
Button2.Enabled := false;
Button1.Enabled := true;

end;

procedure TForm1.CheckBox1Click(Sender: TObject);
begin
if CheckBox1.Checked then
  Series1.Marks.Visible := true
  else
  Series1.Marks.Visible := false;

end;

procedure TForm1.CheckBox2Click(Sender: TObject);
begin
if CheckBox2.Checked then
  Series1.Pointer.Visible := true
  else
  Series1.Pointer.Visible := false;
end;

procedure TForm1.CheckBox3Click(Sender: TObject);
begin
if CheckBox3.Checked then
  Chart1.View3D := true
  else
  Chart1.View3D := false;

end;

end.
